﻿@model IEnumerable<eCommerce.Services.Model.NewsletterProduct>


<table class="table table-hover dataTable table-striped width-full" id="productsTable">
        <thead>
            <tr>
                <th class="col-sm-1">Código</th>
                <th class="col-sm-2 ">Título</th>
                <th class="col-sm-2 ">Categoria</th>
                <th class="col-sm-1 ">Precio</th>
                <th class="col-sm-1 ">Precio Anterior</th>
                <th class="col-sm-1 ">Des.(%)</th>
                <th class="col-sm-2 ">Observación</th>
                <th class="col-sm-1 text-center" style="width:1%"></th>
            </tr>
        </thead>
        <tbody>
            @{int row_number = 0;}
            @foreach (var item in Model)
            {
                <tr>
                    <input type="hidden" name="ProductId_@row_number" id="ProductId_@row_number" value="@item.ProductId" />
                    <input type="hidden"id="Real_@row_number" value="@item.Product.WholesalePrice" />
                    <input type="hidden" id="MaxDiscount_@row_number" value="@item.Product.MaxDiscount" />
                    <td>@item.Product.Code</td>
                    <td>@item.Product.Title</td>
                    <td>@item.Product.Category.CompleteName</td>
                    @if (item.SpecialPrice.HasValue)
                    {
                        <td><div class="input-group"><span class="input-group-addon">$</span><input type="text" class="form-control" name="Price_@row_number" id="Price_@row_number" value=@item.SpecialPrice.Value /></div></td>
                        if (item.OldSpecialPrice.HasValue)
                        {
                            <td><div class="input-group"><span class="input-group-addon">$</span><input type="text" class="form-control" name="Old_@row_number" id="Old_@row_number" value=@item.OldSpecialPrice.Value /></div></td>
                        }
                        else
                        {
                            <td><div class="input-group"><span class="input-group-addon">$</span><input type="text" class="form-control" name="Old_@row_number" id="Old_@row_number" value='' /></div></td>
                        }
                    }
                    else
                    {
                        <td><div class="input-group"><span class="input-group-addon">$</span><input type="text" class="form-control" name="Price_@row_number" id="Price_@row_number" value=@item.Product.WholesalePrice /></div></td>
                    }
                    @if(!item.SpecialPrice.HasValue)
                    {
                        <td><div class="input-group"><span class="input-group-addon">$</span><input type="text" class="form-control" name="Old_@row_number" id="Old_@row_number" value=@item.Product.OldWholesalePrice /></div></td>
                    }
                    <td><div class="input-group"><span class="input-group-addon">%</span><input type="text" class="form-control discount" name="Discount_@row_number" id="Discount_@row_number" value=@item.Discount onblur="UpdateDiscount(this)" /></div></td>
                    <td><div class="input-group"><input type="text" class="form-control" name="Observation_@row_number" id="Observation_@row_number" value='@item.Observation' /></div></td>
                    <td class="actions text-center vertical-align"><a href="javascript:void(0);" class="btn btn-sm btn-icon btn-pure btn-default on-default remove-row" data-toggle="tooltip" data-original-title="Borrar"><i class="icon wb-trash" aria-hidden="true"></i></a></td>
                </tr>
                row_number++;
            }
        </tbody>
    </table>
